Intrusion Prevention

Nuxeo.CMS.NuxeoUnknownResource.EL.Code.Injection

Description

This indicates an attack attempt to exploit a Code Injection vulnerability in Nuxeo CMS.
The vulnerability is due to insufficient sanitizing of user supplied URI inputs into the application. A remote attacker can exploit this to send a crafted query to execute arbitrary commands on a vulnerable server.

Affected Products

Nuxeo 10.2 and prior

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply patch available from the vendor:
https://github.com/nuxeo/nuxeo/commit/eb54a9145c6d8297eba9d7dafc74556e735fa388

CVE References

CVE-2018-16341